rhino
文章平均质量分 66
小木月生
图形图像处理算法工程师,研究兴趣为虚拟现实、物理模拟等。
展开
-
rhino软件上Grasshopper 中的快捷键(用gh的同学不妨了解一下)
前言本文以博客《GH的热键,只要用gh都要拜读一下吧》的内容为基础,结合自己的使用经验做了适当修改。且所有快捷键本人都做了测试。测试表明都是有效的。其中测试环境:win7系统,Rhino版本 5 SR13 64-bit,Grasshopper 为2014年8月27日0.9.0076版 但需要注意的是按键顺序以及按住、点击的区别等。1.Always:经常使用:RMB+Drag =Pan left/原创 2017-05-13 22:03:07 · 9852 阅读 · 0 评论 -
Export/Import Points将点以txt格式输出、输入
import rhinoscriptsyntax as rsdef ExportControlPoints(): "Export curve's control points to a text file" #pick a curve object object_id = rs.GetObject("Select curve", rs.filter.curve) #ge原创 2017-06-13 20:02:19 · 1215 阅读 · 0 评论 -
Annotate Curve Form 给曲线起始点注释名称
给曲线起始点注释名称。运行后产生对话框,输入名称如chant(默认start),回车后,曲线起点得到注释,如下图。 # with a textbox that can be used to define the text in a new text dotfrom System.Windows.Forms import Form, DialogResult, Label, Button, T转载 2017-06-13 19:15:13 · 592 阅读 · 0 评论 -
Draw a Parametric Curve
import rhinoscriptsyntax as rsimport math# Something really interesting about this script is# that we are passing a function as a parameter函数的参数是一个函数名def DrawParametricCurve(parametric_equation):转载 2017-06-13 20:00:11 · 416 阅读 · 0 评论 -
Custom Getpoint
根据三点画圆弧,绘画中包含了动态显示。 # A Rhino GetPoint that performs some custom dynamic drawingimport Rhinoimport System.Drawing.Colorimport scriptcontextdef CustomArc3Point(): # Color to use when drawing dyn转载 2017-06-13 19:45:49 · 385 阅读 · 0 评论 -
Get Curve Length
import rhinoscriptsyntax as rsdef CurveLength(): "Calculate the length of one or more curves" # Get the curve objects arrObjects = rs.GetObjects("Select Objects", rs.filter.curve, True, Tru转载 2017-06-13 19:37:45 · 446 阅读 · 0 评论 -
Copy Objects to Layer
import rhinoscriptsyntax as rsdef CopyObjectsToLayer(): "Copy selected objects to a different layer" # Get the objects to copy objectIds = rs.GetObjects("Select objects") # Get all laye转载 2017-06-13 19:27:07 · 716 阅读 · 0 评论 -
Array Points on Surface
# Creates an array of points on a surfaceimport rhinoscriptsyntax as rsdef ArrayPointsOnSurface(): # Get the surface object surface_id = rs.GetObject("Select surface", rs.filter.surface) i转载 2017-06-13 19:20:26 · 394 阅读 · 0 评论 -
annotate curve endpoints注释曲线的端点坐标
来源于官方文档,亲测可用,结果如下图所示。 # Annotate the endpoints of curve objectsimport rhinoscriptsyntax as rsdef AnnotateCurveEndPoints(): """Annotates the endpoints of curve objects. If the curve is closed转载 2017-06-13 19:04:19 · 887 阅读 · 0 评论 -
Creating Macros
The tools you needYour brain.The Rhino Help file - lists all Rhino commands and their sub-options. This is your most important reference.The Rhino MacroEditor, to easily run and debug your macros.原创 2017-06-13 15:17:11 · 688 阅读 · 0 评论 -
TIPS SCRIPT CONTEXT IN GH PYTHON GHPYTHON的脚本本环境
ContentsScript Context Spaces to store objects info in GH / RhinoObject V.S. GuidsHow to change spaces to workAccessing to Rhino Document space Create / select objects directly from GH PythonObj转载 2017-05-26 14:32:09 · 1765 阅读 · 0 评论 -
犀牛软件rhinoceros的参数化设计插件草蜢grasshopper的安装
简介For designers who are exploring new shapes using generative algorithms, Grasshopperis a graphical algorithm editor tightly integrated with Rhino’s 3-D modeling tools. Unlike RhinoScript, Grasshopper原创 2017-05-13 21:51:04 · 8072 阅读 · 0 评论 -
Open and run Grasshopper from a batch file 用批处理命令自动打开指定的3dm文件和GH文件
用批处理命令自动打开指定的Rhinoceros 文件和grasshopper文件。只需要根据本地地址修改以下代码中的PATH_EXE、PATH_DM、PATH_GH即可。@ECHO OFFtitle This is a bat file to open Rhinoceros and Grasshopperset "PATH_EXE=C:\Program Files\Rhinoceros 5 (6原创 2017-06-14 15:00:35 · 1616 阅读 · 1 评论